| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Namespaces | Classes | Typedefs | Enumerations | Functions
cv::gapi::ie Namespace Reference

This namespace contains G-API OpenVINO backend functions, structures, and symbols. More...

## Namespaces
namespace | detail

## Classes
class | Params
| This structure provides functions that fill inference parameters for "OpenVINO Toolkit" model. More...
class | Params< cv::gapi::Generic >
struct | PortCfg
class | PyParams

## Typedefs
using | IEConfig = std::map<std::string, std::string>

## Enumerations
enum | InferMode { Sync , Async }
enum class | TraitAs : int { TENSOR , IMAGE }

## Functions
cv::gapi::GBackend | backend ()
PyParams | params (const std::string &tag, const std::string &model, const std::string &device)
PyParams | params (const std::string &tag, const std::string &model, const std::string &weights, const std::string &device)

## Detailed Description

This namespace contains G-API OpenVINO backend functions, structures, and symbols.

## Typedef Documentation

## ◆ IEConfig

using cv::gapi::ie::IEConfig = std::map<std::string, std::string>

## Enumeration Type Documentation

## ◆ InferMode

enum cv::gapi::ie::InferMode

Enumerator
Sync Python: cv.gapi.ie.Sync |
Async Python: cv.gapi.ie.Async |

## ◆ TraitAs

enum class cv::gapi::ie::TraitAs : int
| strong

Specifies how G-API and IE should trait input data

In OpenCV, the same cv::Mat is used to represent both image and tensor data. Sometimes those are hardly distinguishable, so this extra parameter is used to give G-API a hint.

This hint controls how G-API reinterprets the data when converting it to IE Blob format (and which layout/etc is assigned to this data).

Enumerator
TENSOR | G-API traits an associated cv::Mat as a raw tensor and passes dimensions as-is.
IMAGE | G-API traits an associated cv::Mat as an image so creates an "image" blob (NCHW/NHWC, etc)

## Function Documentation

## ◆ backend()

cv::gapi::GBackend cv::gapi::ie::backend | ( |  | ) |

## ◆ params() [1/2]

PyParams cv::gapi::ie::params | ( | const std::string & | tag,
|  | const std::string & | model,
|  | const std::string & | device )

Python:
| cv.gapi.ie.params( | tag, model, weights, device | ) -> | retval
| cv.gapi.ie.params( | tag, model, device | ) -> | retval

## ◆ params() [2/2]

PyParams cv::gapi::ie::params | ( | const std::string & | tag,
|  | const std::string & | model,
|  | const std::string & | weights,
|  | const std::string & | device )

Python:
| cv.gapi.ie.params( | tag, model, weights, device | ) -> | retval
| cv.gapi.ie.params( | tag, model, device | ) -> | retval